Purchase education pin
curl --request POST \
--url https://api.dancity.app/api/v1/education-pin/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity": 1,
"exam_name": "WAEC Result Checker",
"examNumber": "0123456789",
"customerRef": "EDU-REF-001",
"promocode": "EDU10"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantity: 1,
exam_name: 'WAEC Result Checker',
examNumber: '0123456789',
customerRef: 'EDU-REF-001',
promocode: 'EDU10'
})
};
fetch('https://api.dancity.app/api/v1/education-pin/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/education-pin/purchase"
payload = {
"quantity": 1,
"exam_name": "WAEC Result Checker",
"examNumber": "0123456789",
"customerRef": "EDU-REF-001",
"promocode": "EDU10"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Education pins purchased",
"data": {
"transactionId": "TXN-20260506-007",
"pins": [
{
"pin": "****-****-****",
"serial": "SN-001",
"expiry": "2027-01-01"
}
]
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}VAS
Purchase education pin
Purchase education pin
POST
/
api
/
v1
/
education-pin
/
purchase
Purchase education pin
curl --request POST \
--url https://api.dancity.app/api/v1/education-pin/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity": 1,
"exam_name": "WAEC Result Checker",
"examNumber": "0123456789",
"customerRef": "EDU-REF-001",
"promocode": "EDU10"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantity: 1,
exam_name: 'WAEC Result Checker',
examNumber: '0123456789',
customerRef: 'EDU-REF-001',
promocode: 'EDU10'
})
};
fetch('https://api.dancity.app/api/v1/education-pin/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/education-pin/purchase"
payload = {
"quantity": 1,
"exam_name": "WAEC Result Checker",
"examNumber": "0123456789",
"customerRef": "EDU-REF-001",
"promocode": "EDU10"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Education pins purchased",
"data": {
"transactionId": "TXN-20260506-007",
"pins": [
{
"pin": "****-****-****",
"serial": "SN-001",
"expiry": "2027-01-01"
}
]
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}Body
application/json
Response
OK
